当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 17 篇帖子 ]  前往页数 上一页  1, 2
作者 内容
16 楼 
 文章标题 : Re: 这是什么问题?编译安装advancemame-1.4
帖子发表于 : 2016-08-20 0:20 
头像

注册: 2009-01-18 23:26
帖子: 296
送出感谢: 4
接收感谢: 0 次
sudo apt-get install --reinstall libpng12-0=1.2.54-1ubuntu1
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列软件包是自动安装的并且现在不需要了:
blt chrpath fonts-horai-umefont fonts-unfonts-core fonts-wqy-microhei
gcc-5-base:i386 gnome-exe-thumbnailer gstreamer1.0-plugins-base:i386
icoutils libasn1-8-heimdal:i386 libasound2:i386 libasound2-plugins:i386
libasyncns0:i386 libavahi-client3:i386 libavahi-common-data:i386
libavahi-common3:i386 libcapi20-3 libcapi20-3:i386 libcdparanoia0:i386
libcups2:i386 libdbus-1-3:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386
libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libelf1:i386
libexif12:i386 libexpat1:i386 libffi6:i386 libflac8:i386 libgif7:i386
libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386
libglib2.0-0:i386 libglu1-mesa:i386 libgmp10:i386 libgnutls30:i386
libgphoto2-port12:i386 libgssapi3-heimdal:i386
libgstreamer-plugins-base0.10-0 libgstreamer-plugins-base0.10-0:i386
libgstreamer-plugins-base1.0-0:i386 libgstreamer0.10-0
libgstreamer0.10-0:i386 libgstreamer1.0-0:i386 libhcrypto4-heimdal:i386
libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhogweed4:i386
libhx509-5-heimdal:i386 libice6:i386 libicu55:i386 libidn11:i386
libieee1284-3:i386 libjack-jackd2-0:i386 libjbig0:i386 libjpeg-turbo8:i386
libjpeg8:i386 libjson-c2:i386 libkrb5-26-heimdal:i386 liblcms2-2:i386
libldap-2.4-2:i386 libllvm3.8:i386 libltdl7:i386 libmpg123-0:i386
libnettle6:i386 libodbc1 libogg0:i386 libopenal1:i386 libopus0:i386
liborc-0.4-0:i386 libosmesa6 libosmesa6:i386 libp11-kit-gnome-keyring:i386
libp11-kit0:i386 libpcap0.8:i386 libpciaccess0:i386 libpulse0:i386
libqt5clucene5 libqt5designer5 libqt5help5 libqt5multimediawidgets5
libroken18-heimdal:i386 libsamplerate0:i386 libsasl2-2:i386
libsasl2-modules:i386 libsasl2-modules-db:i386 libsm6:i386 libsndfile1:i386
libspeexdsp1:i386 libsqlite3-0:i386 libstdc++6:i386 libtasn1-6:i386
libtheora0:i386 libtiff5:i386 libtxc-dxtn-s2tc0:i386 libusb-1.0-0:i386
libv4l-0:i386 libv4lconvert0:i386 libvisual-0.4-0:i386 libvorbis0a:i386
libvorbisenc2:i386 libvpx3:i386 libwind0-heimdal:i386 libwrap0:i386
libwxbase3.0-0v5 libwxgtk3.0-0v5 libx11-6:i386 libx11-xcb1:i386 libxau6:i386
libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386
libxcb-sync1:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386
libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxi6:i386
libxinerama1:i386 libxml2:i386 libxpm4:i386 libxrandr2:i386 libxrender1:i386
libxshmfence1:i386 libxslt1.1:i386 libxt6:i386 libxxf86vm1:i386
linux-headers-4.2.0-16 linux-headers-4.2.0-16-generic linux-headers-4.4.0-21
linux-headers-4.4.0-21-generic linux-image-4.2.0-16-generic
linux-image-4.4.0-21-generic linux-image-extra-4.2.0-16-generic
linux-image-extra-4.4.0-21-generic ocl-icd-libopencl1:i386 odbcinst
odbcinst1debian2 p11-kit-modules:i386 p7zip python-appindicator python-gconf
python-gnome2 python-notify python-pyatspi python-pyorbit python-wnck
python-wxgtk3.0 python-wxversion python3-pyinotify python3-pyqt5
python3-pyqt5.qtmultimedia python3-pyqt5.qtwebkit python3-sip python3-tk
tk8.6-blt2.5 ttf-wqy-microhei unixodbc wine-devel-amd64 wine-development
wine-gecko2.21 wine-gecko2.21:i386 wine-mono0.0.8 wine64-development
winetricks
使用'sudo apt autoremove'来卸载它(它们)。
将会同时安装下列软件:
wine-development wine64-development
建议安装:
playonlinux wine-binfmt dosbox libwine-gecko-2.40
wine64-development-preloader
推荐安装:
wine32-development
下列软件包将被【卸载】:
libfontconfig1:i386 libfreetype6:i386 libgd3:i386 libgphoto2-6:i386
libpng12-0:i386 libsane:i386 libwine-development:i386 playonlinux wine
wine-devel-i386:i386 wine1.6 wine1.6-amd64 wine1.6-i386:i386
wine32-development:i386
下列【新】软件包将被安装:
wine-development wine64-development
下列软件包将被【降级】:
libpng12-0


晕,把我的playonlinux 和wine 1.6也卸了 :Stop


页首
 用户资料  
 
17 楼 
 文章标题 : Re: 这是什么问题?编译安装advancemame-1.4
帖子发表于 : 2016-08-20 0:29 
头像

注册: 2009-01-18 23:26
帖子: 296
送出感谢: 4
接收感谢: 0 次
advancemame-1.4$ make
obj/mame/linux/blend/advance/linux/file.o
obj/mame/linux/blend/advance/osd/emu.o
obj/mame/linux/blend/advmame
obj/mame/linux/blend/advance/sdl/ssdl.o:在函数‘soundb_sdl_init’中:
ssdl.c:(.text+0x121):对‘os_internal_sdl_get’未定义的引用
obj/mame/linux/blend/advance/sdl/msdl.o:在函数‘mouseb_sdl_init’中:
msdl.c:(.text+0xe3):对‘os_internal_sdl_get’未定义的引用
obj/mame/linux/blend/advance/sdl/ksdl.o:在函数‘keyb_sdl_init’中:
ksdl.c:(.text+0x105):对‘os_internal_sdl_get’未定义的引用
obj/mame/linux/blend/advance/sdl/jsdl.o:在函数‘joystickb_sdl_init’中:
jsdl.c:(.text+0x63):对‘os_internal_sdl_get’未定义的引用
obj/mame/linux/blend/advance/sdl/vsdl.o:在函数‘sdl_init’中:
vsdl.c:(.text+0x7ec):对‘os_internal_sdl_get’未定义的引用
vsdl.c:(.text+0xb1f):对‘os_internal_sdl_title_get’未定义的引用
vsdl.c:(.text+0xb27):对‘os_internal_sdl_title_get’未定义的引用
obj/mame/linux/blend/advance/sdl/vsdl.o:在函数‘sdl_mode_set’中:
vsdl.c:(.text+0x1100):对‘os_internal_sdl_title_get’未定义的引用
vsdl.c:(.text+0x1108):对‘os_internal_sdl_title_get’未定义的引用
collect2: error: ld returned 1 exit status
advance/emu.mak:671: recipe for target 'obj/mame/linux/blend/advmame' failed
make: *** [obj/mame/linux/blend/advmame] Error 1

什么破东西。。。。不想折腾啦 :Angry


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 17 篇帖子 ]  前往页数 上一页  1, 2

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译